Bug 210133 - lvrename doesnt change the /etc/fstab
lvrename doesnt change the /etc/fstab
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: lvm-obsolete (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Heinz Mauelshagen
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-10 08:00 EDT by Tom Van den Berg
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-11 06:15:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Van den Berg 2006-10-10 08:00:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 2.0.50727; .NET CLR 1.1.4322; InfoPath.1)

Description of problem:
After installing FC4 to a Dell Poweredge 750 with LVM i've noticed that I didn't renamed all of the Logical volumes so i wanted to change the Logical Volume names.

I did it with lvrename:
lvrename /dev/vgcypres/LogVol01 /dev/vgcypres/lvbackup

The Logical volume name was changed succesfull but the /etc/fstab didn't change. I had to change it by myself.

Maybe it's reported / fixed already but i think it should be changed by lvrename.


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes


Steps to Reproduce:
1. Installed FC4 on a VMWARE machine
2. Tried to change the name with lvrename
3. checked the /etc/fstab to see if it was changed

Actual Results:
The same problem

Expected Results:
/etc/fstab should be changed also

Additional info:
Comment 1 Heinz Mauelshagen 2006-10-11 06:15:34 EDT
fstab is only one example of a configuration file (e.g. databse system using
logical volumes is another one) and all of those need the administrator to
adjust on name changes.

Note You need to log in before you can comment on or make changes to this bug.